[SOLVED] Why is XEmacs not available in LMDE?

Archived topics about LMDE 1
Forum rules
JLambrecht

[SOLVED] Why is XEmacs not available in LMDE?

Postby JLambrecht » Mon Mar 18, 2013 11:44 am

Hello,

I installed LMDE 64b on my new laptop (I used Ubuntu before).
Then I wanted to install XEmacs, but it is not available, not in 'Software Manager' nor in 'Synaptic Package Manager'. Why?

(So I got the sources, but had this problem: http://www.linuxquestions.org/questions ... ost4913875)

Kind regards,
Jürgen
Last edited by JLambrecht on Mon Mar 25, 2013 7:30 pm, edited 1 time in total.

User avatar
xenopeek
Level 23
Level 23
Posts: 19020
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Why is XEmacs not available in LMDE?

Postby xenopeek » Mon Mar 18, 2013 12:44 pm

Because its not in Debian testing of course. xemacs is only available in stable and in unstable. Searching for packages "xemacs" in all repos: http://packages.debian.org/search?keywo ... ection=all. Debian PTS has further info as to why this package is not in testing: http://packages.qa.debian.org/x/xemacs21.html.

You may possibly install the package from unstable. Either by downloading it from above and installing the .deb packages needed manually, or by adding the Debian unstable repository to your sources. That can be tricky, so I'd not do that unless you are sure of the approach for that (I'm not, perhaps somebody else can pitch in on that).
Image

User avatar
DrHu
Level 17
Level 17
Posts: 7563
Joined: Wed Jun 17, 2009 8:20 pm

Re: Why is XEmacs not available in LMDE?

Postby DrHu » Mon Mar 18, 2013 2:39 pm

I don't know, why not try their install guide..
http://www.xemacs.org/Documentation/packageGuide.html
http://www.xemacs.org/Documentation/pac ... omatically
--xemacs package (I assume ) scripted toolset..
http://www.xemacs.org/Documentation/pac ... ng_by_Hand
--manually..

I would also guess that Mint wouldn't want to use an application with an old-style look
-tk style..
--I think if I was using that terminal style (emacs), I would probably just be using a terminal and skipping out on any TK style of GUI X server choice..

http://www.xemacs.org/About/XEmacsVsGNUemacs.html
    An XEmacs variant which supports GTK+ is available (integration as an option in the XEmacs mainline is planned for XEmacs 22), although code to take advantage of the support is as yet scarce. XEmacs does not support raw Xlib. GNU Emacs 22 supports Xlib, GTK+, and MS Windows, with 3rd party or experimental support for Carbon and Cocoa on the Mac.
--for a better looking editor, other choices might be preferred for emacs..
Last edited by DrHu on Tue Mar 19, 2013 12:25 pm, edited 1 time in total.

JLambrecht

Re: Why is XEmacs not available in LMDE?

Postby JLambrecht » Tue Mar 19, 2013 5:23 am

xenopeek wrote:Because its not in Debian testing of course. xemacs is only available in stable and in unstable. Searching for packages "xemacs" in all repos: http://packages.debian.org/search?keywo ... ection=all. Debian PTS has further info as to why this package is not in testing: http://packages.qa.debian.org/x/xemacs21.html.

You may possibly install the package from unstable. Either by downloading it from above and installing the .deb packages needed manually, or by adding the Debian unstable repository to your sources. That can be tricky, so I'd not do that unless you are sure of the approach for that (I'm not, perhaps somebody else can pitch in on that).


I decided to install from stable. I downloaded the packages from above and installed the .deb packages manually.
But this failed because they depend on each other (circular dependency)!?!
So:
xemacs21 -> xemacs21-mule -> xemacs21-bin -> xemacs21-support -> xemacs21

Here the result of xemacs21-support:

Code: Select all

root:/home/lambrech/Downloads> dpkg -i xemacs21-support_21.4.22-3.1_all.deb
(Reading database ... 204607 files and directories currently installed.)
Preparing to replace xemacs21-support 21.4.22-3.1 (using xemacs21-support_21.4.22-3.1_all.deb) ...
Unpacking replacement xemacs21-support ...
dpkg: dependency problems prevent configuration of xemacs21-support:
 xemacs21-support depends on xemacs21 (= 21.4.22-3.1); however:
  Package xemacs21 is not configured yet.

dpkg: error processing xemacs21-support (--install):
 dependency problems - leaving unconfigured
Processing triggers for install-info ...
install-info: warning: no info dir entry in `/usr/share/info/xemacs21/emodules.info.gz'
Errors were encountered while processing:
 xemacs21-support


How to solve this one?

Thanks for the reply,
Jürgen

User avatar
xenopeek
Level 23
Level 23
Posts: 19020
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Why is XEmacs not available in LMDE?

Postby xenopeek » Tue Mar 19, 2013 11:45 am

JLambrecht wrote:xemacs21 -> xemacs21-mule -> xemacs21-bin -> xemacs21-support -> xemacs21

If you have all 4 .deb files in the same folder I believe installing them all at once would solve the dependency issue. So with:

Code: Select all

dpkg -i *.deb
Image

JLambrecht

Re: Why is XEmacs not available in LMDE?

Postby JLambrecht » Tue Mar 19, 2013 12:06 pm

xenopeek wrote:
JLambrecht wrote:xemacs21 -> xemacs21-mule -> xemacs21-bin -> xemacs21-support -> xemacs21

If you have all 4 .deb files in the same folder I believe installing them all at once would solve the dependency issue. So with:

Code: Select all

dpkg -i *.deb


Thanks, that did it!
(item closed :D )
Jürgen


Return to “Archive”

Who is online

Users browsing this forum: No registered users and 1 guest